Skip to content

Hotspot Operators ​

5 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).

OperationMethodSummary
getHotspotOperatorListGETGet hotspot operators list
createHotspotOperatorPOSTCreate a new hotspot operator
deleteHotspotOperatorDELETEDelete an existing hotspot operator
getHotspotOperatorDetailGETGet hotspot operator detail
modifyHotspotOperatorPATCHModify an existing hotspot operator

getHotspotOperatorList ​

GET /openapi/v1/{omadacId}/sites/{siteId}/hotspot/operators

Get hotspot operators list

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
sorts.namequerystringnoSort parameter may be one of asc or desc. Optional parameter. If it is not carried, it means it is not sorted by this field. When there are more than one, the first one takes effect
searchKeyquerystringnoFuzzy query parameters, support field name,note
json
// omada_call_operation
{
  "operationId": "getHotspotOperatorList",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Get hotspot operators list.
The interface requires one of the permissions:
Site Hotspot Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33000 - This site does not exist.

createHotspotOperator ​

POST /openapi/v1/{omadacId}/sites/{siteId}/hotspot/operators

Create a new hotspot operator

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema Hotspot Operator

FieldTypeRequiredDescription
namestringyesOperator name should contain 1 to 128 ASCII characters.
passwordstringyesOperator password should contain 1 to 128 ASCII characters.
notestringnoOperator note should contain 1 to 256 ASCII characters.
operatorRoleTypeintegernoOperator role type should be a value as follows: 0: Administrator; 1: Viewer.
lastSitestringnoLast Site ID
selectedSitesarray<string>yesSelected site ID list should contain at least one site for each operator.
json
// omada_call_operation
{
  "operationId": "createHotspotOperator",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Create a new hotspot operator.
The interface requires one of the permissions:
Site Hotspot Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33000 - This site does not exist.

deleteHotspotOperator ​

DELETE /openapi/v1/{omadacId}/sites/{siteId}/hotspot/operators/{id}

Delete an existing hotspot operator

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
idpathstringyesHotspot Operator ID
json
// omada_call_operation
{
  "operationId": "deleteHotspotOperator",
  "params": {
    "siteId": "<siteId>",
    "id": "<id>"
  }
}
Details, permissions and error codes

Delete an existing hotspot operator.
The interface requires one of the permissions:
Site Hotspot Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33000 - This site does not exist.

getHotspotOperatorDetail ​

GET /openapi/v1/{omadacId}/sites/{siteId}/hotspot/operators/{id}

Get hotspot operator detail

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
idpathstringyesHotspot Operator ID
json
// omada_call_operation
{
  "operationId": "getHotspotOperatorDetail",
  "params": {
    "siteId": "<siteId>",
    "id": "<id>"
  }
}
Details, permissions and error codes

Get hotspot operator detail.
The interface requires one of the permissions:
Site Hotspot Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33000 - This site does not exist.

modifyHotspotOperator ​

PATCH /openapi/v1/{omadacId}/sites/{siteId}/hotspot/operators/{id}

Modify an existing hotspot operator

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
idpathstringyesHotspot Operator ID

Request body — application/json (required) — schema Hotspot Operator

FieldTypeRequiredDescription
namestringyesOperator name should contain 1 to 128 ASCII characters.
passwordstringyesOperator password should contain 1 to 128 ASCII characters.
notestringnoOperator note should contain 1 to 256 ASCII characters.
operatorRoleTypeintegernoOperator role type should be a value as follows: 0: Administrator; 1: Viewer.
lastSitestringnoLast Site ID
selectedSitesarray<string>yesSelected site ID list should contain at least one site for each operator.
json
// omada_call_operation
{
  "operationId": "modifyHotspotOperator",
  "params": {
    "siteId": "<siteId>",
    "id": "<id>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify an existing hotspot operator.
The interface requires one of the permissions:
Site Hotspot Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33000 - This site does not exist.

Released under the MIT License. Not affiliated with or endorsed by TP-Link.